Daemon Power

The NetBSD Packages Collection: security/pam-yubico

Brief description of the package:
Pluggable Authentication Module for Yubikey validation

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://opensource.yubico.com/yubico-pam/.

Please note that this package has a modified-bsd license.

The package is located in the "security/pam-yubico" directory. The current source version of the package is "pam-yubico-2.17nb6". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for security/pam-yubico :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: libyubikey>=1.7 cwrappers>=20150314 ykclient>=2.7 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 curl>=7.55.1nb1 help2man-[0-9]* p5-gettext>=1.01 perl>=5.26.0 perl<5.28.0 perl>=5.0 ykpers>=1.6.3 libusb1>=1.0.9 ykclient>=2.13nb6 .

This package requires the following package(s) to run: libyubikey>=1.7 ykclient>=2.7 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 curl>=7.55.1nb1 ykpers>=1.6.3 libusb1>=1.0.9 ykclient>=2.13nb6 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:pam-yubico-2.17nb1.tgz(NetBSD 7.0)
alpha:pam-yubico-2.17.tgz(NetBSD 7.0)
alpha:pam-yubico-2.17nb5.tgz(NetBSD 8.0)
arm:pam-yubico-2.14.tgz(NetBSD 6.1_STABLE)
earm:pam-yubico-2.17.tgz(NetBSD 7.0)
earm:pam-yubico-2.17.tgz(NetBSD 7.0)
earmv6hf:pam-yubico-2.17.tgz(NetBSD 7.0)
earmv7hf:pam-yubico-2.17.tgz(NetBSD 7.0)
earmv7hf:pam-yubico-2.17.tgz(NetBSD 7.0)
earmv7hf:pam-yubico-2.17nb5.tgz(NetBSD 8.0_BETA)
i386:pam-yubico-2.17nb6.tgz(NetBSD 6.0)
i386:pam-yubico-2.17nb1.tgz(NetBSD 6.0)
i386:pam-yubico-2.17nb3.tgz(NetBSD 6.0)
i386:pam-yubico-2.17nb4.tgz(NetBSD 6.0)
i386:pam-yubico-2.17nb5.tgz(NetBSD 6.0)
i386:pam-yubico-2.17nb6.tgz(NetBSD 6.1)
i386:pam-yubico-2.17nb1.tgz(NetBSD 6.1)
i386:pam-yubico-2.17nb3.tgz(NetBSD 6.1)
i386:pam-yubico-2.17nb4.tgz(NetBSD 6.1)
i386:pam-yubico-2.17nb5.tgz(NetBSD 6.1)
i386:pam-yubico-2.17nb6.tgz(NetBSD 7.0)
i386:pam-yubico-2.17nb1.tgz(NetBSD 7.0)
i386:pam-yubico-2.17nb3.tgz(NetBSD 7.0)
i386:pam-yubico-2.17nb4.tgz(NetBSD 7.0)
i386:pam-yubico-2.17nb5.tgz(NetBSD 7.0)
powerpc:pam-yubico-2.17nb1.tgz(NetBSD 6.0)
powerpc:pam-yubico-2.17nb5.tgz(NetBSD 6.1)
powerpc:pam-yubico-2.17.tgz(NetBSD 7.0)
powerpc:pam-yubico-2.17nb5.tgz(NetBSD 7.1)
powerpc:pam-yubico-2.17nb6.tgz(NetBSD 7.1)
powerpc:pam-yubico-2.17nb5.tgz(NetBSD 8.0)
sparc64:pam-yubico-2.17.tgz(NetBSD 7.0)
sparc:pam-yubico-2.14.tgz(NetBSD 6.0)
x86_64:pam-yubico-2.17nb6.tgz(NetBSD 6.0)
x86_64:pam-yubico-2.17nb1.tgz(NetBSD 6.0)
x86_64:pam-yubico-2.17nb3.tgz(NetBSD 6.0)
x86_64:pam-yubico-2.17nb4.tgz(NetBSD 6.0)
x86_64:pam-yubico-2.17nb5.tgz(NetBSD 6.0)
x86_64:pam-yubico-2.17nb6.tgz(NetBSD 6.1)
x86_64:pam-yubico-2.17nb1.tgz(NetBSD 6.1)
x86_64:pam-yubico-2.17nb3.tgz(NetBSD 6.1)
x86_64:pam-yubico-2.17nb4.tgz(NetBSD 6.1)
x86_64:pam-yubico-2.17nb5.tgz(NetBSD 6.1)
x86_64:pam-yubico-2.17nb6.tgz(NetBSD 7.0)
x86_64:pam-yubico-2.17nb1.tgz(NetBSD 7.0)
x86_64:pam-yubico-2.17nb3.tgz(NetBSD 7.0)
x86_64:pam-yubico-2.17nb4.tgz(NetBSD 7.0)
x86_64:pam-yubico-2.17nb5.tgz(NetBSD 7.0)
x86_64:pam-yubico-2.17nb5.tgz(NetBSD 7.0.1_PATCH)
x86_64:pam-yubico-2.17nb5.tgz(NetBSD 8.99.1)
x86_64:pam-yubico-2.17nb6.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]